#ifndef __FSTREAMHXX
#define __FSTREAMHXX

#if (defined(__STD_STRICT_ANSI) || defined(__STD_STRICT_ANSI_ERRORS)) && !defined(__NO_USE_STD_IOSTREAM)
#error "cannot include fstream.hxx -- do not compile strict_ansi OR define __NO_USE_STD_IOSTREAM"
#else
    /* duplicate <fstream> for /head
     * includes fstream_stdimpl.hxx or fstream_impl.hxx 
     * based upon whether __USE_STD_IOSTREAM is defined.
     */
#    include <compnent.hxx>
#    ifdef __USE_STD_IOSTREAM
#        include <fstream_stdimpl.hxx>
#    else
#        include <fstream_impl.hxx>
#    endif
#endif

#endif
