#ifndef __NEW_LOADED
#define __NEW_LOADED 1
/****************************************************************************
**
**  <new.hxx> - C++ new operator
**
****************************************************************************
**
**  Copyright Digital Equipment Corporation 1993, 1995. All rights reserved.
**
**  Restricted Rights: Use, duplication, or disclosure by the U.S.
**  Government is subject to restrictions as set forth in subparagraph
**  (c) (1) (ii) of DFARS 252.227-7013, or in FAR 52.227-19, or in FAR
**  52.227-14 Alt. III, as applicable.
**
**  This software is proprietary to and embodies the confidential
**  technology of Digital Equipment Corporation. Possession, use, or
**  copying of this software and media is authorized only pursuant to a
**  valid written license from Digital or an authorized sublicensor.
**
******************************************************************************
*/

#ifdef __osf__
#include <sys/types.h>
#endif

#ifdef __PRAGMA_ENVIRONMENT
#   pragma __environment save
#   pragma __environment header_defaults
#endif
#ifdef __VMS
#   pragma __extern_prefix __save
#endif

#ifdef __VMS
#   ifndef __SIZE_T
#      define __SIZE_T 1
       typedef unsigned int size_t;
#   endif

#   pragma __extern_prefix "decc$"
#endif /* __VMS */

extern void (*set_new_handler (void(*)()))();

inline void* operator new(size_t, void* p) { return p; }

#ifdef __VMS
#   pragma __extern_prefix __restore
#endif
#ifdef __PRAGMA_ENVIRONMENT
#   pragma __environment restore
#endif

#endif					/* __NEW_LOADED */
