/*
 * *****************************************************************
 * *                                                               *
 * *    Copyright Compaq Computer Corporation, 2000                *
 * *                                                               *
 * *   The software contained on this media  is  proprietary  to   *
 * *   and  embodies  the  confidential  technology  of  Compaq    *
 * *   Computer Corporation.  Possession, use,  duplication  or    *
 * *   dissemination of the software and media is authorized only  *
 * *   pursuant to a valid written license from Compaq Computer    *
 * *   Corporation.                                                *
 * *                                                               *
 * *   RESTRICTED RIGHTS LEGEND   Use, duplication, or disclosure  *
 * *   by the U.S. Government is subject to restrictions  as  set  *
 * *   forth in Subparagraph (c)(1)(ii)  of  DFARS  252.227-7013,  *
 * *   or  in  FAR 52.227-19, as applicable.                       *
 * *                                                               *
 * *****************************************************************
 */
/*
 * HISTORY
 */
/*	
 *	@(#)$RCSfile: memory.h,v $ $Revision: 4.2 $ (DEC) $Date: 1991/09/20 05:17:46 $
 */ 
/*
 */
/*
 * (c) Copyright 1990, OPEN SOFTWARE FOUNDATION, INC.
 * ALL RIGHTS RESERVED
 */
/*
 * OSF/1 Release 1.0
 */

/*
 * INCLUDE: memory.h
 * COMPONENT_NAME: (LIBCGEN) Standard C Library General Functions
 *
 * ORIGIN: IBM
 *
 * (C) COPYRIGHT International Business Machines Corp. 1985, 1989
 * All Rights Reserved
 * Licensed Materials - Property of IBM
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

#ifndef _MEMORY_H_
#define _MEMORY_H_

/*
 * libc memory function declarations...
 */

/*
 * libc memory function declarations...
 *	The ANSI C standard specifies its memory move functions to be
 *	declared in <string.h>.  Therefore, all the memory move functions
 *	have been put in that header.  <memory.h> is maintained for
 *	compatibility with earlier AIX releases.
 */

#include <string.h>

#endif /* _MEMORY_H_ */
