/*
 * *****************************************************************
 * *                                                               *
 * *    Copyright Compaq Computer Corporation, 2000                *
 * *                                                               *
 * *   The software contained on this media  is  proprietary  to   *
 * *   and  embodies  the  confidential  technology  of  Compaq    *
 * *   Computer Corporation.  Possession, use,  duplication  or    *
 * *   dissemination of the software and media is authorized only  *
 * *   pursuant to a valid written license from Compaq Computer    *
 * *   Corporation.                                                *
 * *                                                               *
 * *   RESTRICTED RIGHTS LEGEND   Use, duplication, or disclosure  *
 * *   by the U.S. Government is subject to restrictions  as  set  *
 * *   forth in Subparagraph (c)(1)(ii)  of  DFARS  252.227-7013,  *
 * *   or  in  FAR 52.227-19, as applicable.                       *
 * *                                                               *
 * *****************************************************************
 */
/*
 * HISTORY
 */
/*	
 *	@(#)$RCSfile: ipcx_types.h,v $ $Revision: 4.2 $ (DEC) $Date: 1991/09/20 05:11:31 $
 */ 
/*
 */
/*
 * (c) Copyright 1990, OPEN SOFTWARE FOUNDATION, INC.
 * ALL RIGHTS RESERVED
 */
/* 
 * Mach Operating System
 * Copyright (c) 1989 Carnegie-Mellon University
 * All rights reserved.  The CMU software License Agreement specifies
 * the terms and conditions for use and redistribution.
 */
/*
 * OSF/1 Release 1.0
 */
/*
 * Abstract: ipcx_types.h
 *	declarations for ipcexecd 
 */
#ifndef _ipcx_types
#define _ipcx_types

typedef char a_string[256];

#define DEFAULT_PREFIX	"Mach-"

#define IPC_ERROR_BASE  	27600
#define IPCX_FILENOTFOUND 	(IPC_ERROR_BASE + 0)
#define IPCX_USERWRONG	 	(IPC_ERROR_BASE + 1)
#define IPCX_FORKFAILED 	(IPC_ERROR_BASE + 2)

#endif /* _ipcx_types */

