/*
 * *****************************************************************
 * *                                                               *
 * *    Copyright (c) Digital Equipment Corporation, 1994          *
 * *                                                               *
 * *   All Rights Reserved.  Unpublished rights  reserved  under   *
 * *   the copyright laws of the United States.                    *
 * *                                                               *
 * *   The software contained on this media  is  proprietary  to   *
 * *   and  embodies  the  confidential  technology  of  Digital   *
 * *   Equipment Corporation.  Possession, use,  duplication  or   *
 * *   dissemination of the software and media is authorized only  *
 * *   pursuant to a valid written license from Digital Equipment  *
 * *   Corporation.                                                *
 * *                                                               *
 * *   RESTRICTED RIGHTS LEGEND   Use, duplication, or disclosure  *
 * *   by the U.S. Government is subject to restrictions  as  set  *
 * *   forth in Subparagraph (c)(1)(ii)  of  DFARS  252.227-7013,  *
 * *   or  in  FAR 52.227-19, as applicable.                       *
 * *                                                               *
 * *****************************************************************
 */

/*
 * shcom.h
 */

#define SHCOM_SUCCESS            0 /* success */
#define SHCOM_LOADER_FAILED     -1 /* some loader call failed */
#define SHCOM_BAD_ADDRESS       -2 /* user gave bad address */
#define SHCOM_BAD_FILE          -3 /* cannot open or connect to filename */
#define SHCOM_LOCK_FAILED       -4 /* locking operation failed */
#define SHCOM_INIT_FAILED       -5 /* error initializing data in file */
#define SHCOM_UNMAP_FAILED      -6 /* error unmapping shared library */
#define SHCOM_MAP_FAILED        -7 /* error mapping shared file */
#define SHCOM_MALLOC_FAILED     -8 /* malloc returned null */

