#ifndef __IOMANIPHXX
#define __IOMANIPHXX

#if (defined(__STD_STRICT_ANSI) || defined(__STD_STRICT_ANSI_ERRORS)) && !defined(__NO_USE_STD_IOSTREAM)
#error "cannot include iomanip.hxx -- do not compile strict_ansi OR define __NO_USE_STD_IOSTREAM"
#else
    /* duplicate <iomanip> for /head
     * includes iomanip_stdimpl.hxx or iomanip_impl.hxx
     * based upon whether __USE_STD_IOSTREAM is defined.
     */
#    include <compnent.hxx>
#    ifdef __USE_STD_IOSTREAM
#        include <iomanip_stdimpl.hxx>
#    else
#        include <iomanip_impl.hxx>
#    endif
#endif

#endif
