#ifndef __IOSTREAMHXX
#define __IOSTREAMHXX

#if (defined(__STD_STRICT_ANSI) || defined(__STD_STRICT_ANSI_ERRORS)) && !defined(__NO_USE_STD_IOSTREAM)
#error "cannot include iostream.hxx -- do not compile strict_ansi OR define __NO_USE_STD_IOSTREAM"
#else
    /* duplicate <iostream> for /head
     * includes iostream_stdimpl.hxx or iostream_impl.hxx 
     * based upon whether __USE_STD_IOSTREAM is defined.
     */
#   include <compnent.hxx>
#   ifdef __USE_STD_IOSTREAM
#       include <iostream_stdimpl.hxx>
#   else
#       include <iostream_impl.hxx>
#   endif
#endif

#endif
