#ifndef __STRSTREAMHXX
#define __STRSTREAMHXX

#if (defined(__STD_STRICT_ANSI) || defined(__STD_STRICT_ANSI_ERRORS)) && !defined(__NO_USE_STD_IOSTREAM)
#error "cannot include strstream.hxx -- do not compile strict_ansi OR define __NO_USE_STD_IOSTREAM"
#else
    /* duplicate <strstream> for /head
     * includes strstream_stdimpl.hxx or strstream_impl.hxx
     * based upon whether __USE_STD_IOSTREAM is defined.
     */
#    include <compnent.hxx>
#    ifdef __USE_STD_IOSTREAM
#        include <strstream_stdimpl.hxx>
#    else
#        include <strstream_impl.hxx>
#    endif
#endif

#endif
