#ifndef		__TASK_HXX
#define		__TASK_HXX

//
//
//  Copyright Digital Equipment Corporation 1990, 1995. All rights reserved.
//
//  Restricted Rights: Use, duplication, or disclosure by the U.S.
//  Government is subject to restrictions as set forth in subparagraph
//  (c) (1) (ii) of DFARS 252.227-7013, or in FAR 52.227-19, or in FAR
//  52.227-14 Alt. III, as applicable.
//
//  This software is proprietary to and embodies the confidential
//  technology of Digital Equipment Corporation. Possession, use, or
//  copying of this software and media is authorized only pursuant to a
//  valid written license from Digital or an authorized sublicensor.
//
//

//++
//  FACILITY:	DEC C++ Class Library
//
//  SUBSYSTEM:	Task
//
//  MODULE:	top-level include file
//
//  INFORMATION HIDDEN:
//
//	The modularity of the implementation of the task package.
//
//  MODULE DESCRIPTION:
//
//	This include file includes all of the other task package include files,
//	allowing the modularity to be hidden from the program using the task
//	package.
//
//--



//
//
//  INCLUDE FILES
//
//

#include <cxxl.hxx>

#include <task_object.hxx>
#include <task_sched.hxx>
#include <task_timer.hxx>
#include <task_task.hxx>
#include <task_hist.hxx>
#include <task_inter.hxx>
#include <task_queue.hxx>
#include <task_rand.hxx>

#endif
// End of task.hxx
