/*
 * *****************************************************************
 * *                                                               *
 * *    Copyright Compaq Computer Corporation, 2000                *
 * *                                                               *
 * *   The software contained on this media  is  proprietary  to   *
 * *   and  embodies  the  confidential  technology  of  Compaq    *
 * *   Computer Corporation.  Possession, use,  duplication  or    *
 * *   dissemination of the software and media is authorized only  *
 * *   pursuant to a valid written license from Compaq Computer    *
 * *   Corporation.                                                *
 * *                                                               *
 * *   RESTRICTED RIGHTS LEGEND   Use, duplication, or disclosure  *
 * *   by the U.S. Government is subject to restrictions  as  set  *
 * *   forth in Subparagraph (c)(1)(ii)  of  DFARS  252.227-7013,  *
 * *   or  in  FAR 52.227-19, as applicable.                       *
 * *                                                               *
 * *****************************************************************
 */

/*
 * HISTORY
 */

/*
**++
**  PRODUCT:
***
**	DEC C++ Demangler
**
**  FILE:  
**
**      demangle.h
**
**  ABSTRACT:
**
**	Header file containing includes of other header files
**
**  ENVIRONMENT:
**
**	User Mode
**
**  AUTHORS:
**
**  MODIFICATION HISTORY:
**
**
**--
**/


#ifndef _DEMANGLE_H_
#define _DEMANGLE_H_

#include <cmplrs/demangle_string.h>
#include <cmplrs/definitions.h>
#include <cmplrs/internal_symbol.h>
#include <cmplrs/mangled_name.h>
#include <cmplrs/utilities.h>

#endif /* _DEMANGLE */
/* DON'T ADD ANYTHING AFTER THIS #endif */

